/* $Id$
 * vim: set tw=80 ts=4 sw=4 : */

#ifndef _UTIL_H
#define _UITL_H

/* depth at which to cut off search for sub-users */
#define MAX_DEPTH 100
#define USERNAME_SEPARATOR "_"

void debug(int, char*);
char * find_parent(char**, const char*, const char*);
int is_descendant(char**, const char*, const char*);
int is_child(char**, const char*, const char*);
int is_strict_descendant(char**, const char*, const char*);
int is_strict_child(char**, const char*, const char*);
char** read_data();
int write_data(char**);
int log_fmt(char*, ...);

#endif /* ifndef _UTIL_H */
