/* $Id$
 * vim: set tw=80 ts=4 sw=4 : */

#ifndef _UTIL_UID_H
#define _UITL_UID_H

#include <sys/types.h>
#include <unistd.h>

#define USERNAME_SEPARATOR "_"

struct child_parent {
	int   frotzed;
    uid_t child;
    uid_t parent;
    struct child_parent* next;
};

//uid_t find_parent(struct child_parent*, uid_t, uid_t);
int is_descendant(uid_t, uid_t);
int is_strict_descendant(uid_t, uid_t);
int add_relation(uid_t, uid_t);
int remove_relation(uid_t);

struct child_parent* subid_read_data();
int is_descendant_cached(struct child_parent*, uid_t, uid_t);
int is_strict_descendant_cached(struct child_parent*, uid_t, uid_t);

#endif /* ifndef _UTIL_UID_H */
